Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Interface WatchDog.Observer<A>

All Known Implementing Classes:
  DeploymentPoller.DDWatchDogObserver, WatchDog.DefaultObserver

Enclosing class:
  WatchDog<T,C extends WatchDog.Observer>

    public static interface WatchDog.Observer<A>

Method Summary
`A` | `get()`
`java.util.concurrent.locks.Lock` | `getLock()`
`void` | `init()` Called by `WatchDog.check()` if the underlying object is not `initialized` and the `WatchDog.Mutable.exists()` resource does not exist}.
`boolean` | `isInitialized()`
`void` | `onDelete()` Called only if the resource previously existed and now does not exist.
`void` | `onUpdate()` Called only if the resource previously existed but the `WatchDog.Mutable.lastModified()` timestamp has changed (greater than the previous value).

Method Detail

### isInitialized

    boolean isInitialized()

### init

    void init()

  Called by `WatchDog.check()` if the underlying object is not `initialized` and the `WatchDog.Mutable.exists()` resource does not exist}.
  This method might called to reset the underlying object.

  Throws:
    `java.lang.Exception`

### onDelete

    void onDelete()

  Called only if the resource previously existed and now does not exist.
  The default implementation invokes `init()` .

  Throws:
    `java.lang.Exception`

### onUpdate

    void onUpdate()

  Called only if the resource previously existed but the `WatchDog.Mutable.lastModified()` timestamp has changed (greater than the previous value).
  The default implementation invokes `init()` .

  Throws:
    `java.lang.Exception`

### getLock

    java.util.concurrent.locks.Lock getLock()

### get

    A get()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD